## apt-proxy 1.3.6

=== Makefile ===
apt-proxy-import.8: apt-proxy-import apt-proxy-import.8.inc
	help2man \
		-N \
		-i apt-proxy-import.8.inc \
		--section="8" \
		--source="Debian GNU/Linux" \
		--manual=" " \
		-o $@ \
		./apt-proxy-import

clean:
	rm -f apt-proxy-import.8

## apt-proxy 1.3.0

=== debian/changelog ===
apt-proxy (1.3.0) unstable; urgency=low

  * Release new version into Debian archive.
    - Add HTTP/FTP backend support using wget
    - Add apt-proxy-import, a script to import .debs into the cache
    - Improve reliability when several clients are active
    - Add FAQ section to README
    See the changelogs for 1.2.9.x (below) for details. 
    (closes: #83199, #94226, #140348, #140826)

 -- Chris Halls <chris.halls@gmx.de>  Thu,  4 Apr 2002 14:06:05 +0200

apt-proxy (1.2.9.11) sourceforge; urgency=low

  * Fix log messages when a directory is created for a http/ftp backend.
  * Clean up some other log messages

 -- Chris Halls <chris.halls@gmx.de>  Thu,  4 Apr 2002 12:42:50 +0200

apt-proxy (1.2.9.10) sourceforge; urgency=low

  * Update installation instructions for non-Debian systems
  * Add check that stat supports -t option (thanks to Oliver Bornet)
  * Suggest stat and update description

 -- Chris Halls <chris.halls@gmx.de>  Thu,  4 Apr 2002 08:51:34 +0200

apt-proxy (1.2.9.9) sourceforge; urgency=low

  * Add --quiet option to adduser until #141016 is fixed (closes: #140826)
  * Update README

 -- Chris Halls <chris.halls@gmx.de>  Wed,  3 Apr 2002 11:19:51 +0200

apt-proxy (1.2.9.8) sourceforge; urgency=low

  * Add a FAQ section to README with some problems that users have
    encountered.
  * apt-get update && apt-get update now sends 304 HITs the second time for
    HTTP backends like it does for rsync
  * Change HTTP protocol version to 1.1 (it was still 1.0!)
  * Don't copy an older version using copy_best_match when using wget
  * Turn on KEEP_STATS when DEBUG is on
  * In debug mode, log lockfile release
  * Fix some error messages when file is already current version
  * Rename some rsync* functions to download* to make it less confusing

 -- Chris Halls <chris.halls@gmx.de>  Tue,  2 Apr 2002 18:14:18 +0200

apt-proxy (1.2.9.7) sourceforge; urgency=low

  * Fix file ownership changing bug in apt-proxy-import.  If you've used
    earlier versions, you may find files with owner root in
    /var/cache/apt-proxy - do "chown -R aptproxy /var/cache/apt-proxy" to
    restore normality.  This was the cause of "touch: permission denied"
    errors in the logfile.
  * Remove some debugging statements in apt-proxy

 -- Chris Halls <chris.halls@gmx.de>  Wed, 27 Mar 2002 18:21:42 +0100

apt-proxy (1.2.9.6) sourceforge; urgency=low

  * Fix race if two clients request the same file, with help from Sacha to
    reproduce. (closes: #140348)
  * I would like to upload to Debian unstable once 1.2.2 hits Woody in 5 days.
    Please let me know if you are aware of any remaining issues!

 -- Chris Halls <chris.halls@gmx.de>  Wed, 27 Mar 2002 16:16:52 +0100

apt-proxy (1.2.9.5) sourceforge; urgency=low

  * Fix directory support so apt-proxies can be chained again
  * Add apt-proxy --version (thanks to Sacha Schlegel)

 -- Chris Halls <chris.halls@gmx.de>  Mon, 25 Mar 2002 16:33:51 +0100

apt-proxy (1.2.9.4) sourceforge; urgency=low

  * Merge in changes from stable 1.2.2
  * Add dpkg-name support to apt-proxy-import so it renames files too
  * Log copy_best_match to help Sascha to fix the problem he found :)

 -- Chris Halls <chris.halls@gmx.de>  Fri, 22 Mar 2002 17:07:57 +0100

apt-proxy (1.2.9.3) sourceforge; urgency=low

  * Always use ash instead of sh, because this makes apt-proxy much faster.
  * Fix ftp backend permission problem
  * If a file to be downloaded was not newer, wget would not download a file
    and the apt client would receive a zero length file.
  * Return an error if a file does not exist on any server
  * Add fuzzy matching to apt-proxy-import by ranty, which enables it to guess
    where a .deb file should go even if the Packages files do not contain the
    exact version.  Only works for new style pool directories, and is not yet
    documented.

 -- Chris Halls <chris.halls@nikocity.de>  Mon, 11 Mar 2002 17:14:35 +0100

apt-proxy (1.2.9.2) sourceforge; urgency=low

  * Only download uncompressed packages files when rsyncing.  Do not attempt
    to get uncompressed sources, release or contents files.  When downloading
    uncompressed files with rsync, use compress switch (closes: #94226)
  * Fix lockfile name used during clean sweep.  Thanks to Lele Gaifax for the
    patch.
  * Fix an error where stale lockfiles were not deleted

 -- Chris Halls <chris.halls@nikocity.de>  Wed,  6 Mar 2002 15:37:09 +0100

apt-proxy (1.2.9.1) sourceforge; urgency=low

  * Add http/ftp support using wget. (closes: #83199)
  * New script: apt-proxy-import, which will import .debs into the archive.

 -- Chris Halls <chris.halls@nikocity.de>  Tue, 26 Feb 2002 14:46:49 +0100

apt-proxy (1.2.2) unstable; urgency=low

  * Fix lockfile name in sweep clean (thanks to Lele Gaifax)
  * Change maintainer email address (closes: #139173)
  * Add Manuel Estrada Sainz <ranty@debian.org> to Uploaders.  He has
    been helping improve apt-proxy-import and will sponsor future uploads.

 -- Chris Halls <chris.halls@gmx.de>  Thu, 21 Mar 2002 18:13:30 +0100

apt-proxy (1.2.1) unstable; urgency=low

  * Reset access time on version n-1 when downloading n, so the cache cleaning
    algorithm works better (came up in the discussion for bug #131883)
  * Add Contents-* to list of control files, so apt-proxy works with apt-file.
    (closes: #134217)
  * Add version to debhelper build dependency (>> 3.0.0)
  * On purge, remove the cache directory
  * Make it possible to install on Potato again by removing --diabled-login
    and --shell from adduser invocation.  They are on by default for a system
    user anyway. (Sourceforge bug #516318)
  * Add note to README about usage on Potato
  * Make Debian native

 -- Chris Halls <chris.halls@nikocity.de>  Thu, 21 Feb 2002 18:47:08 +0100

apt-proxy (1.2.0-1) unstable; urgency=low

  * New upstream release
    - New config file paramter, MAX_VERSIONS, to limit the number of package
      versions to keep in the cache directory.  Thanks to Martin Schwenke.


=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Chris Halls <chris.halls@gmx.de>
Uploaders: Manuel Estrada Sainz <ranty@debian.org>
Standards-Version: 3.5.6
Build-Depends-Indep: debhelper (>> 3.0.0)

Package: apt-proxy
Architecture: all
Depends: wget | rsync, grep-dctrl, tcpd, netbase, ash
Recommends: apt
Suggests: wget, rsync, dpkg-dev, stat
Description: Debian archive proxy and partial mirror builder
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 . 
 For more information, see the apt-proxy homepage at
 http://apt-proxy.sourceforge.net
 .
 The suggested packages are needed for the following
 features: wget for http/ftp backend support, rsync for
 rsyncd backends, dpkg-dev for apt-proxy-import and stat
 for improved apt-proxy performance.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GPL copyright 1997 to 1999 by Joey Hess.
#
# This version is for packages that are architecture independent.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	install -g root -o root -m 755 \
		apt-proxy debian/apt-proxy/usr/sbin/apt-proxy
	install -g root -o root -m 755 \
		apt-proxy-import debian/apt-proxy/usr/sbin/apt-proxy-import
	install -g root -o root -m 644 \
		apt-proxy.conf debian/apt-proxy/etc/apt-proxy/apt-proxy.conf


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_installlogrotate
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-proxy 1.3.6

=== debian/changelog ===
apt-proxy (1.3.6) unstable; urgency=low

  * Correct example proxy lines in apt-proxy.conf (closes: #169658, #177514)
  * Remove logrotated logfiles on purge
  * Correct location of apt-proxy.conf in apt-proxy(8) (closes: #170045)
  * Add French translation of apt-proxy.8 manpage, thanks to Richard Bonichon
    for the translation.
  * Set PATH to standard system path.  You can override this in apt-proxy.conf
    if you need PATH set to semething else. (closes: #170286)
  * Add conversion script by Michael (Micksa) Slade.  This reads sources.list
    and creates an example sources.list and apt-proxy.conf.  Installed in
    /usr/share/doc/apt-proxy/examples/apt-proxy-mkconfig until it has been
    documented.
  * Apply patch from Ian Bruce to fix uncompressed Packages rsyncing 
    (closes: #166305)

 -- Chris Halls <halls@debian.org>  Wed, 22 Jan 2003 11:19:21 +0100

apt-proxy (1.3.5) unstable; urgency=low

  * New maintainer email address, yay :)
  * Comment out create action in logrotate script, so that it works
    by default if another user is used (closes: #165692)
  * Apply patch from Arthur Korn to log downloads when KEEP_STATS is set
    (closes: #169081)

 -- Chris Halls <halls@debian.org>  Fri, 15 Nov 2002 08:15:17 +0100

apt-proxy (1.3.4) unstable; urgency=low

  * Add more items to the FAQ and improve documentation of the different
    backends and when to use them.  Updates to the manpages and README.
    Thanks to Heather Stern for the suggestions.
  * Apply patch from Roger Burton West (thanks!) to handle unknown filetypes
    for Jigdo support (closes: #156676, #156009)
  * logrotate script creates logfile if missing (closes: #161619)
  * Add more examples to apt-proxy.conf
  * Correct spelling error in apt-proxy.conf (closes: #157147)

 -- Chris Halls <chris.halls@gmx.de>  Fri, 20 Sep 2002 10:59:04 +0200

apt-proxy (1.3.3) unstable; urgency=low

  * Fix section typo in apt-proxy manpage (closes: #151208)
  * Download compressed Packages.gz from rsync backend if no local file is
    available.  Thanks to Roland Gerlach for the analysis.
  * Update apt-proxy.conf with many more examples and http backends by default
  * Fix apt-proxy-import help message, thanks Cristian Ionescu-Idbohrn
    (closes: #152166)
  * Fix chaining of multiple apt-proxies, thanks Brian Johnson 
    (closes: #153893)
  * Allow Release.gpg (closes: #153234)
  * Mention that new developments are going into version 2 in README

 -- Chris Halls <chris.halls@gmx.de>  Wed, 24 Jul 2002 16:04:59 +0200

apt-proxy (1.3.2) unstable; urgency=low

  * Depend on binutils for ar (closes: #143573)
  * Accept '~' characters in URLs
  * Clean up URLs used internally
  * apt-proxy-import: copy files instead of linking if using dpkg-name from
    Potato
  * Copy links to .debs as files, not links on rysnc backends.  This made it
    impossible to download some potato .debs on ftp.de.debian.org.
  * Refuse to run apt-proxy as the root user.  This is not a good idea
    security-wise.
  * Check for write permission in backend directories
  * Add debug option (-D) to apt-proxy-import that leaves the contents of
    dpkg-name.links directory.
  * Manuel Estrada Sainz: 
    - convert /dirname/../ into / (closes: #149166)
    - let apt-proxy-import accept relative pathnames (closes: #149200)
    - delete aptproxy user in postrm (closes: #148383)

 -- Chris Halls <chris.halls@gmx.de>  Fri, 14 Jun 2002 17:05:35 +0200

apt-proxy (1.3.1) unstable; urgency=low

  * Accept requests in the form http://<hostname>/... to comply with
    HTTP 1.1 (closes: #141740)
  * Manuel Estrada Sainz: update apt-proxy-import manpage using
    help2man; add help2man to build-depends
  * Add usage example in apt-proxy-import manpage for importing apt-move cache
  * Make apt-proxy-import output nicer when importing many directories
  * Update README with new hints and tips
  * Small apt-proxy.conf manpage correction

 -- Chris Halls <chris.halls@gmx.de>  Fri, 12 Apr 2002 13:26:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: apt-proxy
 Section: admin
 Priority: extra
-Maintainer: Chris Halls <chris.halls@gmx.de>
+Maintainer: Chris Halls <halls@debian.org>
 Uploaders: Manuel Estrada Sainz <ranty@debian.org>
 Standards-Version: 3.5.6
-Build-Depends-Indep: debhelper (>> 3.0.0)
+Build-Depends-Indep: debhelper (>> 3.0.0), help2man
 
 Package: apt-proxy
 Architecture: all
-Depends: wget | rsync, grep-dctrl, tcpd, netbase, ash
+Depends: wget | rsync, grep-dctrl, tcpd, netbase, ash, binutils
 Recommends: apt
 Suggests: wget, rsync, dpkg-dev, stat
 Description: Debian archive proxy and partial mirror builder

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 build-stamp:
 	dh_testdir
 
+	$(MAKE) apt-proxy-import.8
 	touch build-stamp
 
 clean:
@@ -43,7 +44,7 @@
 	dh_testroot
 	dh_installdebconf
 	dh_installdocs
-	dh_installexamples
+	dh_installexamples apt-proxy-mkconfig
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate

## apt-proxy 1.9.28ubuntu1

=== debian/changelog ===
apt-proxy (1.9.28ubuntu1) hoary; urgency=low

  * Merge changes from Debian

 -- Chris Halls <halls@debian.org>  Tue, 29 Mar 2005 12:26:53 +0100

apt-proxy (1.9.28) unstable; urgency=low

  * Fix exception in dynamic backends.  Closes: #296513
  * If another client requests the same Packages/Releases file,
    send the file instead of HTTP 304 Not Modified.  Closes: #284584

 -- Chris Halls <halls@debian.org>  Thu,  3 Mar 2005 14:55:30 +0000

apt-proxy (1.9.27) unstable; urgency=low

  * Delay database directory creation until after uid change.
    Older installations are fixed by chmoding directory in
    postinst.  Closes: #288829
  * Fix exception in apt-proxy-import. Closes: #296574
  * Close connection where necessary after sending complete file.
    Closes: #288905
  * Pipe file verification output to /dev/null for UML speedups,
    thanks Paul Wagland for the patch.  Closes: #292818
  * init script:
     - Fix bashism in init script.  Closes: #296710
     - Improve output and remove first sleep, thanks
       again Herbert Thielen.  Closes: #296875

 -- Chris Halls <halls@debian.org>  Fri, 25 Feb 2005 20:53:20 +0000

apt-proxy (1.9.26) unstable; urgency=low

  * Add Depends to disallow upgrade of python2.3 without
    upgrade of twisted.  Closes: #294626
  * init script: wait longer for apt-proxy to stop, thanks
    Herbert Thielen for the patch. Closes: #284432

 -- Chris Halls <halls@debian.org>  Tue, 22 Feb 2005 23:52:09 +0000

apt-proxy (1.9.25ubuntu1) unstable; urgency=low

  * Merge changes from Debian

 -- Chris Halls <halls@debian.org>  Fri, 28 Jan 2005 11:32:14 +0000

apt-proxy (1.9.25) unstable; urgency=low

  * Postpone database creating to first request. Closes: #288829. (Otavio)
  * Reorganise Backends. Now the packages databse is not opened multiple
    times for each alternative URL given.
  * Each [backend] section in apt-proxy.conf creates a new class Backend
  * Each URL in the backend section creates a new class BackendServer
  * New class layout is:
      Backend -> base, packages database, list of BackendServers
      BackendServer -> fetcher, host, port, user etc
  * init script: Change twistd2.3->twistd to help python transitions
  * apt-proxy.conf: Add ubuntu and ubuntu-security archives

 -- Chris Halls <halls@debian.org>  Fri, 28 Jan 2005 10:26:49 +0000

apt-proxy (1.9.24.ubuntu2) hoary; urgency=low

  * Tighten Depends on python twisted, because earlier versions of the
    package did not inclue non-versioned binary.

 -- Chris Halls <chris.halls@credativ.co.uk>  Wed, 26 Jan 2005 15:07:15 +0000

apt-proxy (1.9.24.ubuntu1) hoary; urgency=low

  * Rebuild on Ubuntu
  * Add ubuntu archives to example apt-proxy.conf
  * Change twistd2.3 to twistd

 -- Chris Halls <chris.halls@credativ.co.uk>  Mon, 24 Jan 2005 15:00:10 +0000

apt-proxy (1.9.24) unstable; urgency=low

  * Fix module import.
  * Add some debug/log messages when upgrading database
  * apt-proxy.8:
    - Add Otavio to authors
    - Change example deb lines: 'woody' to 'stable' and add security
      example
  * debian/manpages: use wildcard to install pages

 -- Chris Halls <halls@debian.org>  Fri,  3 Dec 2004 19:21:23 +0000

apt-proxy (1.9.23) unstable; urgency=low

  * Improve upgrade from previous database format. (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Fri,  3 Dec 2004 15:48:25 -0200

apt-proxy (1.9.22) unstable; urgency=low

  * Load database when requested. Closes: #283685. (Otavio)
  * Remove previous database and recreate it because the format has
    change. Closes: #284011. (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Fri,  3 Dec 2004 11:37:26 -0200

apt-proxy (1.9.21) unstable; urgency=low

  * Fix caching of files that was broken in 1.9.20, thanks
    to Paul Wagland for the help 
    (closes: #283441, #283893, #257611)
  * Create database file if it does not exist (closes: #283686)
  * Fix bug in gzip conversion class
  * Clean up memory after sending files from cache directory
    (closes: #260951, #258025)

 -- Chris Halls <halls@debian.org>  Thu,  2 Dec 2004 11:24:52 +0000

apt-proxy (1.9.20) unstable; urgency=low

  * Close temporary files when finish to transfer data.
    Closes: #281156 (Otavio)
  * Change to use bsddb3 database library bacause it's faster then python
    native version. Closes: #262097 (Otavio)
  * Files were being stored in memory while they were downloaded, 
    removed.  Reduces CPU usage while downloading large files.
    Closes: #271820 (Chris)
  * Simple profiling: Run 'aptest profile' to get a function call dump
    in ap-profile.log (Chris)
  * Change where we import the tempfile module to improve the
    speed. (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Sun, 28 Nov 2004 20:32:34 -0200

apt-proxy (1.9.19) unstable; urgency=low

  * Fix format in apt-proxy.conf(5). (closes: #272153) (Otavio)
  * Add default to 30 in timeout parameter when importing from version
    1. (closes: #266776, #266567) (Otavio)
  * Allow listening on multiple IP addresses. (closes: #266453) (Otavio)
  * Change to wait by the _server_ closes the connection, this solve the
    hang while using with wget and in that case, debootstrap. Thanks to
    Chet Murthy <chetsky@gmail.com> by the patch. (Otavio)
  * Change default apt-proxy.conf file to use debian-non-US instead of
    non-US. (closes: #273973, #267427) (Otavio)
  * Disable pipelining by default (disable_pipelining=1) until the pipelining
    logic is more sensible and does not attempt multiple connections to
    the same backend server (Chris)
    - Closes: #272217: extreme delays in fetching any packages
    - Closes: #274426: Apt-proxy v2 has a long delay between files
    - Closes: #251192: stuck connections
    - Closes: #219427: deals badly with connection-limited ftp sources
    - Closes: #261066: Doesn't download completely some files
  * Document the meaning of disable_pipelining in apt-proxy.conf manpage (Chris)
  * Debconf Translations:


=== debian/rules ===
#!/usr/bin/make -f

PKGDIR=debian/apt-proxy

build: build-stamp
build-stamp:
	dh_testdir

	po4a doc/po4a.cfg
	$(MAKE) -C doc apt-proxy-import.8
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	po4a doc/po4a.cfg
	rm -f doc/*.??.*
	$(MAKE) -C doc clean
	rm -f build-stamp install-stamp AptProxy-shutdown-2.tap
	find . -name "*.pyc" |xargs -r rm
	find . -name "*.tmlc" |xargs -r rm
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install
	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installchangelogs
	dh_installlogrotate
	dh_installinit
	dh_python

	#install -g root -o root -m 755 \
	#	apt-proxy debian/apt-proxy/usr/sbin/apt-proxy
	#install -g root -o root -m 755 \
	#	apt-proxy-import debian/apt-proxy/usr/sbin/apt-proxy-import
	#install -g root -o root -m 644 \
	#	apt-proxy.conf debian/apt-proxy/etc/apt-proxy/apt-proxy.conf
	
	# Temporary rename to apt-proxy.conf to make it easier to
	# upgrade/downgrade between v1 and v2.
	mv $(PKGDIR)/etc/apt-proxy/apt-proxy.conf $(PKGDIR)/etc/apt-proxy/apt-proxy-v2.conf

	touch install-stamp

binary-arch: build install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## apt-proxy 1.9.29

=== doc/Makefile ===
apt-proxy-import.8: ../bin/apt-proxy-import apt-proxy-import.8.inc
	PYTHONPATH=../apt_proxy \
	  help2man \
		-N \
		-i apt-proxy-import.8.inc \
		--section="8" \
		--source="Debian GNU/Linux" \
		--manual=" " \
		-o $@ \
		../bin/apt-proxy-import

clean:
	rm -f apt-proxy-import.8

=== debian/changelog ===
apt-proxy (1.9.29) unstable; urgency=low

  * Hey, we moved to Alioth and Subversion :-D (Otavio)
  * Apply patch provided by Patrick B. Carlisle <carlislp@reed.edu> to fix
    the empty timeout value in conversion. Closes: #304182 (Otavio)
  * Apply patch provided by Achim Bohnet <ach@mpe.mpg.de> to improve the
    manpages. Closes: #299682 (Otavio)
  * Add a doc giving tips how to use it offline. Thanks for Achim Bohnet
    <ach@mpe.mpg.de> by it. Closes: #299675 (Otavio)
  * Fix the option handle of apt-proxy-import to display its version
    instead of Twisted one. Closes: #308666 (Otavio)
  * Fix a spelling error on template. Closes: 308930 (Otavio)
  * Debconf Translations:
    - Vietnamese (vi.po) by Clytie Siddall <clytie@riverland.net.au>.
      Closes: 308814 (Otavio)
  * Manpage Translations:
    - French (fr.po) by Christian Perrier <bubulle@debian.org>.
      Closes: 300172 (Otavio)

 -- Otavio Salvador <otavio@debian.org>  Mon, 16 May 2005 01:29:14 -0300

=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Otavio Salvador <otavio@debian.org>
Uploaders: Chris Halls <halls@debian.org>
Standards-Version: 3.6.1.1
Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python, python-apt, po4a (>= 0.18.1)

Package: apt-proxy
Architecture: all
Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate
Conflicts: apt-proxy-v2 (<= 1.9.5)
Replaces: apt-proxy-v2 (<= 1.9.5)
Suggests: rsync
Description: Debian archive proxy and partial mirror builder development
 This is version 2 of apt-proxy which will, when ready, replace apt-proxy v1.
 .
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 .
 For more information, see the apt-proxy homepage at
 http://apt-proxy.sourceforge.net
 .
 The suggested packages are needed for the following
 features: rsync for rsyncd backends, and
 dpkg-dev for apt-proxy-import.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,6 @@
 clean:
 	dh_testdir
 	dh_testroot
-	po4a doc/po4a.cfg
 	rm -f doc/*.??.*
 	$(MAKE) -C doc clean
 	rm -f build-stamp install-stamp AptProxy-shutdown-2.tap

## apt-proxy 1.9.31ubuntu3

=== debian/changelog ===
apt-proxy (1.9.31ubuntu3) breezy; urgency=low

  * debian/init.d:
    - Use LSB init-functions.
  * debian/control:
    - Bump Standards-Version to 3.6.2.
    - Add missing depends on adduser and netbase.
  * debian/changelog:
    - Converted the changelog to UTF-8.

 -- Christian Bjälevik <nafallo@magicalforest.se>  Mon,  5 Sep 2005 04:19:25 +0200

apt-proxy (1.9.31ubuntu2) breezy; urgency=low

  * apt_proxy/apt_proxy.py:
    applied a patch from svn to add file backends to the apt-proxy code
    (this will be part of the next release but we want to use it now for 
     the NetworkWideUpdates code)
  * doc/apt-proxy.conf: set min_refresh=1s to avoid a situation that the
    Release{.gpg} file is not in sync and apt-proxy don't refresh that file
    for 1h

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Jul 2005 10:44:30 +0200

apt-proxy (1.9.31ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 17 Jun 2005 16:51:37 +0200

apt-proxy (1.9.31) unstable; urgency=low

  * Merged back changes from 1.9.29 that were reverted for sarge release
  * apt-proxy-import; add command line parameter to change configuration
    file
  * Fix problem parsing usernames with @ char inside. Closes: #309288 (Otavio)
  * All seems to be ok with new twisted (2.0.1)

 -- Chris Halls <halls@debian.org>  Tue, 14 Jun 2005 22:54:47 +0100

apt-proxy (1.9.30) unstable; urgency=high

  * Back out all changes in 1.9.29 except for the fix for
    #304182, the RC bug that caused apt-proxy to be removed from
    Sarge
  * Re-enable gunzip postprocessing for Packages, needed for
    packages database to work properly.  This code was commented out
    in 1.9.23 because I thought it was related to another problem.
    Closes: #277916: /usr/sbin/apt-proxy-import: apt-proxy-import
    doesn't work- no suitable backend found
    Closes: #285792: apt-proxy-import does not work
    Closes: #305015: max_versions not respected - keeps many versions
    more than defined there

 -- Chris Halls <halls@debian.org>  Thu, 19 May 2005 17:28:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: extra
 Maintainer: Otavio Salvador <otavio@debian.org>
 Uploaders: Chris Halls <halls@debian.org>
-Standards-Version: 3.6.1.1
+Standards-Version: 3.6.2
 Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python, python-apt, po4a (>= 0.18.1)
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate
+Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate, adduser, netbase
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync

## apt-proxy 1.9.33ubuntu1

=== debian/changelog ===
apt-proxy (1.9.33ubuntu1) dapper; urgency=low

  * Resynchronize with Debian.
    - UVF exception granted by Reinhard Tartler.
      https://lists.ubuntu.com/archives/ubuntu-motu/2006-February/000546.html
    - Work correctly with python-twisted (>= 2.1.0).  (Ubuntu #29267)
  * Add a missing comma in the Depends line in debian/control.
                                                      (Debian #353386)
  * Ubuntu specific changes:
    - doc/apt-proxy.conf:  Set min_refresh=1s.
    - debian/init.d:  Use LSB init-functions.
    - debian/install:  Install into python2.4 dirs instead of python2.3.

 -- Ming Hua <minghua@ubuntu.com>  Sun,  5 Mar 2006 15:01:56 -0600

apt-proxy (1.9.33) unstable; urgency=low

  [ Chris Halls ]
  * Update for twisted 2.1.0.  Thanks Tuncer Ayazi and Andreas Pakulat for
    their patches and suggestions.
  * Depend on python-twisted-web if using twisted > 2.0.1 (Closes: #349596)
  * Remove use of deprecated arm calls (Closes: #349447)
  * Rework apt-proxy.conf manpage. Thanks to Roey Katz for all the
    suggestions
  * debian/rules: swap dh_python and dh_installinit calls, so that
    update-python-modules is called before init script in postinst

  [ Debconf Translations ]
  * Yuriy Talakan <yt@amur.elektra.ru>: ru.po (closes: #310326)

 -- Chris Halls <halls@debian.org>  Thu, 26 Jan 2006 11:59:56 +0000

apt-proxy (1.9.32ubuntu2) dapper; urgency=low

  * Add our changes back to the package:
    * doc/apt-proxy.conf: set min_refresh=1s to avoid a situation that the
      Release{.gpg} file is not in sync and apt-proxy don't refresh that file
      for 1h
    * debian/init.d:
      - Use LSB init-functions.
  * debian/install:
    - Install into python2.4 dirs instead of python2.3.

 -- Christian Bjälevik <nafallo@ubuntu.com>  Thu, 10 Nov 2005 09:08:45 +0100

apt-proxy (1.9.32ubuntu1) dapper; urgency=low

  * Resynchronize with Debian
  * Threw away ubuntu changes (all of them are in new Debian upstream)
  * debian/control: updated build-deps and deps to match python2.4
  * Merged changelog to show our releases

 -- Stephan Hermann <sh@sourcecode.de>  Wed,  9 Nov 2005 23:51:11 +0100

apt-proxy (1.9.32) unstable; urgency=low

  [ Chris Halls ]
  * Add support for file:// backends.  Thanks to Michael Vogt for
    the patch.  FetcherFile is renamed to FetcherCachedFile and
    FetcherFile is now the file: backend.
  * Change apt-proxy-import command line: files/directories to import are
    specified as regular parameters instead of using -i switch
  * Add --config-file command line option to apt-proxy and apt-proxy-import
    so more than one apt-proxy can be started independently.  This makes
    it possible to test apt-proxy in parallel with the system version.
  * Seperate out configuration file loading code into standalone classes
    that can be used (and tested independently)
  * Seperate management of the list of Packages files associated with a
    backend
  * When building a list of Packages files to parse using apt_pkg, check that
    the files exist, and do not load apt_pkg at all if there are no files.
    Added a test case to verify this (closes: #270874)
  * doc/Makefile: Use absolute PYTHONPATH when running a-p-i.  Fixes build
    error in some build environments

  [ Otavio Salvador ]
  * Add debconf-2.0 as alternative to satisfy debconf requirement to
    run. This will be need for transition to cdebconf later
  * Use twisted.web.http instead of twisted.protocols.http, which is
    depreciated in twisted 2 but only if running with newer versions of
    twisted library
  * Bump Standards-Version to 3.6.2. No changes needed
  * Only use update-inetd on upgrades and then we check if it exists
    before calling it. That way we avoid a dependency on netbase
  * Add dependency on adduser because postinst uses it
  * Call debconf-updatepo in package clean target
  * Update pt_BR debconf translations

 -- Otavio Salvador <otavio@debian.org>  Fri, 19 Aug 2005 14:22:25 -0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00), ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate, adduser, netbase
+Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted (>= 1.3.0-7) | python2.3 (<< 2.3.5-1), python-twisted (>= 1.0.0), python-twisted-web | python-twisted (<< 2.1.0), python-apt (>= 0.5.8), python-bsddb3, bzip2, logrotate, adduser
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,7 @@
 	find . -name "*.pyc" |xargs -r rm
 	find . -name "*.tmlc" |xargs -r rm
 	dh_clean
+	debconf-updatepo
 
 install: install-stamp
 install-stamp: build-stamp
@@ -33,8 +34,8 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
+	dh_python
 	dh_installinit
-	dh_python
 
 	#install -g root -o root -m 755 \
 	#	apt-proxy debian/apt-proxy/usr/sbin/apt-proxy

## apt-proxy 1.9.35ubuntu1

=== debian/changelog ===
apt-proxy (1.9.35ubuntu1) edgy; urgency=low

  * Merge from Debian unstable. Remaining Ubuntu changes are:
   - doc/apt-proxy.conf: Set min_refresh_delay=1s.
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.4 dirs instead of python2.3.

 -- Matti Lindell <mlind@cs.joensuu.fi>  Sat, 23 Sep 2006 17:23:08 +0300

apt-proxy (1.9.35) unstable; urgency=low

  * http_proxy option:
    - Fix import error with option enabled. (Closes: #382171)
    - Fix authorisation header that is sent by http client
    - apt-proxy.conf.5: Document that http_proxy can take a username and
      password parameter
  * apt-proxy-import:
    - Fix import routine (Closes: #382012)
  * Add translations that got lost in previous version
    (Closes: #330202, #331515, #336384, #333847)
  * Tighten twisted dependency to twisted-web only to force upgrades for
    Etch users (Closes: #382193, #382946)

 -- Chris Halls <halls@debian.org>  Mon, 14 Aug 2006 23:00:56 +0100

apt-proxy (1.9.34) unstable; urgency=low

  * Acknowledge NMU by Luk Claes, thanks! (Closes: #359798)

  * Change maintainer to myself and add Otavio to Uploaders, at
    Otavio's request. Thanks Otavio for all your work.

  * Caching behaviour changes:
    - Reorganise download process to be more logical, fixing several problems
      (Closes: #329764)
    - Recognise apt package diff files (*.diff/Index). Thanks
      Florian Weimer for the patch (Closes: #336433)
    - Remove http scheme, host and port from URL requested by clients
      (Closes: #374405)
    - Add download queueing mechanism. Clients can now use HTTP pipelining to
      request files, and each file will be queued at the corresponding backend.
      Each separate apt client connection generates a connection to the
      backend. (Closes: #261802)
    - HTTP pipelining now works and is enabled by default
      (Closes: #272206, #141312)

  * Code reorganisation:
    - Fix breakage caused by new twisted (Closes: #375677)
    - Move fetchers and cache management into separate files
    - Add more unit tests
    - Fix shutdown code (Closes: #359805)

  * apt-proxy.conf:
    - http_proxy can now be set in each [backend] section
    - Add support for username and password in http_proxy parameter.
      Thanks to Thomas Champagne for the patch (Closes: #323147, #327239)
    - Add bandwidth_limit configuration parameter to limit download
      rates (Closes: #306095, #259011)
    - Add support for rsync port specification
    - Give a meaningful error message if an empty time is given in the
      configuration file (Closes: #304611)

  * Packaging changes:
    - Always check cache directory and logfile permissions when package
      is installed, thanks Ben Hutchings for the patch (Closes: #312969)
    - Add debhelper to Build-Depends, needed for dh_clean in clean target
    - Remove reference to v1 in description (Closes: #337966)
    - Support updated Python policy, thanks Matthias Klose. (Closes: #377322)
    - Standards-Version 3.7.2 (no changes necessary)

  * Documentation updates:
    - Remove obsolete debian/TODO from source package
    - Update doc/TODO, removing fixed items
    - Remove references to -i parameter in apt-proxy.conf manpage.
      (Closes: #328983)
    - In example apt-proxy.conf, remove references to non-US archive
      (Closes: #329935)

 -- Chris Halls <halls@debian.org>  Mon,  7 Aug 2006 18:54:56 +0100

apt-proxy (1.9.33ubuntu2) edgy; urgency=low

  * Merge from debian unstable's 1.9.33-0.1 (thanks, poor versioning!).

 -- Daniel T Chen <crimsun@ubuntu.com>  Fri, 30 Jun 2006 18:23:59 +0100

apt-proxy (1.9.33-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update for bsddb module (Closes: #352917).
  * Add comma in depends (Closes: #353386, #350551, #354668, #355228).
  * Updated Vietnamese debconf translation (Closes: #313121).
  * Complete manpage translation with po4a (Closes: #334380).
  * Fix typos in apt-proxy.conf.5 (Closes: #355225).
  * Remove extra 'by default' from apt-proxy.8 (Closes: #355229).
  * Add German debconf translation (Closes: #352484).
  * Updated French debconf translation (Closes: #328689).
  * Add Portuguese debconf translation (Closes: #330202).
  * Add Swedish debconf translation (Closes: #331515).
  * Add Catalan debconf translation (Closes: #336384).
  * Updated Danish debconf translation (Closes: #340132).
  * Updated Dutch debconf translation (Closes: #356210).
  * Add Spanish debconf translation (Closes: #333874).
  * Updated Czech debconf translation (Closes: #335361).
  * Updated French manpage translation (Closes: #332304).

 -- Luk Claes <luk@debian.org>  Wed, 29 Mar 2006 00:05:51 +0200

## apt-proxy 1.9.35ubuntu2

=== debian/changelog ===
apt-proxy (1.9.35ubuntu2) feisty; urgency=low

  * Merge from Debian unstable's 1.9.35-0.1
  * Remaining Ubuntu changes are:
   - doc/apt-proxy.conf: Set min_refresh_delay=1s.
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.4 dirs instead of python2.3.

 -- Matti Lindell <mlind@cs.joensuu.fi>  Tue,  9 Jan 2007 20:01:59 +0200

apt-proxy (1.9.35-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use "self.filelist" instead of "filelist" in ftpListResult() (in
    fetchers.py), as the latter is a non-existant variable, giving 500
    errors when SIZE failed in an FTP session for some reason.
    (Closes: #402481)
  * Make the FTP fetcher unescape file names before fetching, which makes
    ~ in file names work again with FTP; patch from Ben Hutchings.
    (Closes: #393483, #386344)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 27 Dec 2006 12:20:45 +0100

=== debian/control ===
Source: apt-proxy
Section: admin
Priority: extra
Maintainer: Chris Halls <halls@debian.org>
Uploaders: Otavio Salvador <otavio@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: current
Build-Depends: debhelper
Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted-web (>= 0.6), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)

Package: apt-proxy
Architecture: all
Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
Conflicts: apt-proxy-v2 (<= 1.9.5)
Replaces: apt-proxy-v2 (<= 1.9.5)
Suggests: rsync
XB-Python-Version: ${python:Versions}
Description: Debian archive proxy and partial mirror builder
 apt-proxy automatically builds a Debian HTTP mirror based
 on requests which pass through the proxy.  It's great for
 multiple Debian machines on the same network with a slower
 internet link.
 .
 The archive is automatically kept up to date using http,
 ftp or rsync.  Cache cleaning of unused and old versions
 is configurable.  You can also import the contents of
 your apt cache into the archive using apt-proxy-import.
 .
 For more information, see the apt-proxy homepage at
 http://apt-proxy.sourceforge.net
 .
 The suggested packages are needed for the following
 features: rsync for rsyncd backends, and
 dpkg-dev for apt-proxy-import.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 build-stamp:
 	dh_testdir
 
+	$(MAKE) -C doc apt-proxy-import.8
 	po4a doc/po4a.cfg
-	$(MAKE) -C doc apt-proxy-import.8
 	touch build-stamp
 
 clean:
@@ -34,6 +34,7 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
+	dh_pycentral
 	dh_python
 	dh_installinit

## apt-proxy 1.9.35-0.1~bpo.1

=== debian/changelog ===
apt-proxy (1.9.35-0.1~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge
  * Reverted switch to new python policy:
    - replaced python-twisted-web (>= 0.6) with python-twisted (>= 1.0.0)
      in build-depends
    - removed build dependency on python-central (>= 0.5)
    - removed call to dh_pycentral in rules file
  * replaced dependency on python-twisted-web (>=0.6) with python-twisted
    (>=1.0.0)
  * importing http from twisted_compat instead of twisted.web in
    - apt_proxy/apt_proxy.py
    - apt_proxy/cache.py
    - apt_proxy/fetchers.py
  * not importing static from twisted.web in apt_proxy/fetchers.py

 -- Wolf Wiegand <wolf@kondancemilch.de>  Wed, 04 Jan 2007 18:58:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: admin
 Priority: extra
 Maintainer: Chris Halls <halls@debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>
+Uploaders: Otavio Salvador <otavio@debian.org>, Wolf Wiegand <wolf@kondancemilch.de>
 Standards-Version: 3.7.2
 XS-Python-Version: current
 Build-Depends: debhelper
-Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted-web (>= 0.6), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)
+Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1)
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
+Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted (>= 1.0.0), python-apt (>= 0.5.8), bzip2, logrotate, adduser
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync

=== debian/rules ===
--- 
+++ 
@@ -34,7 +34,6 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
-	dh_pycentral
 	dh_python
 	dh_installinit

## apt-proxy 1.9.35-0.3

=== debian/changelog ===
apt-proxy (1.9.35-0.3) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Don't invoke the inetd init script on upgrade from ancient versions,
    update-inetd will already handle this for us.  Thanks to Marco
    Presi, Peter Green, Damyan Ivanov, and Ben Hutchings for their work
    on figuring out this bug.  Closes: #412387.

 -- Steve Langasek <vorlon@debian.org>  Sun, 11 Mar 2007 19:58:12 -0700

apt-proxy (1.9.35-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update French manpage translation (Closes: #385073)
  * Update Japanese debconf translation (Closes: #393127)
  * debian/rules: move debconf-updatepo before dh_clean

 -- Thomas Huriaux <thomas.huriaux@gmail.com>  Sat, 27 Jan 2007 15:49:56 +0100

## apt-proxy 1.9.36ubuntu2

=== debian/changelog ===
apt-proxy (1.9.36ubuntu2) gutsy; urgency=low

  * apt_proxy/packages.py
    - Comment out apt_pkg.CPU - apt_pkg no longer provides this
    - Fixes LP: #131251

 -- Christopher James Halse Rogers (RAOF) <chalserogers@gmail.com>  Sat, 11 Aug 2007 17:51:47 +1000

apt-proxy (1.9.36ubuntu1) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.5 dirs instead of python2.3.
   - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Andrea Veri <bluekuja@ubuntu.com>  Mon, 04 Jun 2007 22:24:13 +0100

apt-proxy (1.9.36) unstable; urgency=low

  [ Chris Halls ]
  * Merge NMUs by Steinar H. Gunderson, Thomas Huriaux and Steve Langasek.
    Thanks guys! (Closes: #404679)
  * Close a longstanding bug where clients would hang when receiving
    files from the cache. The problem was caused by reusing the same
    file handle for several requests at once.
    (Closes: #274679, #382078, #322242, #397399, #397403, #398217)
  * Change the meaning of min_refresh_delay parameter, so the
    delay is measured from the modification time of the file on the
    backend instead of the time a client last requested this file.
    Now apt-proxy will always query backends when a file is too
    old (Closes: #266000)
  * Set process name to apt-proxy
  * Properly deal with escaped characters, including ~ in URLs on FTP
    backends. Unescape URLs and check for invalid characters when parsing
    a request. A big thanks to Ben Hutchings for the patch
    (Closes: #393483, #366262)
  * Fix username@password given in backend server URLs and add a test case.
    Thanks Jason Thomas for the patch (Closes: #348985)
  * Fix exception when sending ftp password to backend (Closes: #387243)
  * Remove extra '/' in HTTP GET requests (Closes: #330492)
  * Uncompress Packages.gz and Packages.bz2 on the fly, and
    update databases from these files (Closes: #319005, #303357)
  * Add unit tests for valid URLs containing /../ (Closes: #182855)
  * Remove obsolete GZipFetcher from fetchers.py

  [ Mark Sheppard ]
  * Generate an error if a client attempts to retrieve
    http://server:9999/  (Closes: #386546)
  * When returning an error, generate an HTML page containing the error

 -- Chris Halls <halls@debian.org>  Mon, 04 Jun 2007 11:06:08 +0100

apt-proxy (1.9.35ubuntu3) gutsy; urgency=low

  * Merge from debian unstable, remaining changes:
   - doc/apt-proxy.conf: Set min_refresh_delay=1s.
   - debian/init.d: Use LSB init-functions.
   - debian/install: Install into python2.4 dirs instead of python2.3.
   - Update maintainer to match Debian Maintainer Field Spec.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 21 May 2007 22:30:51 +1000

## apt-proxy 1.9.36.1ubuntu1

=== debian/changelog ===
apt-proxy (1.9.36.1ubuntu1) hardy; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/init.d: Use LSB init-functions.
    - debian/install: Install into python2.5 dirs instead of python2.3.
    - Modify Maintainer value to match Debian-Maintainer-Field Spec

 -- Nicolas Valcárcel <nvalcarcel@ubuntu-pe.org>  Mon, 03 Dec 2007 13:56:46 -0500

apt-proxy (1.9.36.1) unstable; urgency=low

    * Work around breakage caused by ABI change in python_apt. 
    (Closes: #436011, #436112). This is also related to #285360, which is not
    yet fixed

 -- Chris Halls <halls@debian.org>  Tue, 14 Aug 2007 21:58:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: apt-proxy
 Section: admin
 Priority: extra
-Maintainer: Chris Halls <halls@debian.org>
-Uploaders: Otavio Salvador <otavio@debian.org>, Wolf Wiegand <wolf@kondancemilch.de>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Chris Halls <halls@debian.org>
+Uploaders: Otavio Salvador <otavio@debian.org>
 Standards-Version: 3.7.2
 XS-Python-Version: current
 Build-Depends: debhelper
-Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted (>= 1.0.0), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1)
+Build-Depends-Indep: debhelper (>= 4.1.13), po-debconf, help2man, python-twisted-web (>= 0.6), python (>= 2.3.5-1), python-apt, po4a (>= 0.18.1), python-central (>= 0.5)
 
 Package: apt-proxy
 Architecture: all
-Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted (>= 1.0.0), python-apt (>= 0.5.8), bzip2, logrotate, adduser
+Depends: debconf (>= 0.5.00) | debconf-2.0, ${python:Depends}, python-twisted-web (>= 0.6), python-apt (>= 0.5.8), bzip2, logrotate, adduser
 Conflicts: apt-proxy-v2 (<= 1.9.5)
 Replaces: apt-proxy-v2 (<= 1.9.5)
 Suggests: rsync

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 	rm -f build-stamp install-stamp AptProxy-shutdown-2.tap
 	find . -name "*.pyc" |xargs -r rm
 	find . -name "*.tmlc" |xargs -r rm
+	debconf-updatepo
 	dh_clean
-	debconf-updatepo
 
 install: install-stamp
 install-stamp: build-stamp
@@ -34,6 +34,7 @@
 	dh_installman
 	dh_installchangelogs
 	dh_installlogrotate
+	dh_pycentral
 	dh_python
 	dh_installinit
